package com.platform.modules.video.constants;

import org.apache.commons.lang3.StringUtils;

/**
 * 视频文件类型
 *
 * @author yikaihong
 */
public enum VideoTypeEnum {

    MP4("mp4"), AVI("avi");

    private String name;

    VideoTypeEnum(String name) {
        this.setName(name);
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 视频文件校验
     *
     * @param suffix
     * @return
     */
    public static boolean isVideo(String suffix) {
        if (StringUtils.isEmpty(suffix)) {
            return false;
        }
        for (VideoTypeEnum item : values()) {
            if (item.getName().equals(suffix)) {
                return true;
            }
        }
        return false;
    }

}
